Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.hub.service
Interface IntraHubHCPartyService

All Known Implementing Classes:
  IntraHubHCPartyServiceImpl

    public interface IntraHubHCPartyService

Interface for HcParty specific intrahub services Contains basic requests for this kind of services Default impl : `IntraHubHCPartyServiceImpl`

Method Summary
`HCPartyAdaptedType` | `getHCParty(HCPartyIdType hcParty)` Gets the hC party.
`ConsentHCPartyType` | `getHCPartyConsent(HCPartyIdType hcPartyId)` Gets the hC party consent.
`HCPartyAdaptedType` | `putHCParty(HCPartyAdaptedType hcParty)` Put hc party.
`void` | `putHCPartyConsent(ConsentHCPartyType consent)` Put hc party consent.
`void` | `revokeHCPartyConsent(ConsentHCPartyType consent)` Revoke hc party consent.

Method Detail

### getHCParty

    HCPartyAdaptedType getHCParty(HCPartyIdType hcParty)
                                  throws TechnicalConnectorException,
                                         IntraHubBusinessConnectorException

  Gets the hC party.

  Parameters:
    `hcParty` - the hc party
  Returns:
    the hC party
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### putHCParty

    HCPartyAdaptedType putHCParty(HCPartyAdaptedType hcParty)
                                  throws TechnicalConnectorException,
                                         IntraHubBusinessConnectorException

  Put hc party.

  Parameters:
    `hcParty` - the hc party
  Returns:
    the hC party adapted type
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### putHCPartyConsent

    void putHCPartyConsent(ConsentHCPartyType consent)
                           throws TechnicalConnectorException,
                                  IntraHubBusinessConnectorException

  Put hc party consent.

  Parameters:
    `consent` - the consent
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### getHCPartyConsent

    ConsentHCPartyType getHCPartyConsent(HCPartyIdType hcPartyId)
                                         throws TechnicalConnectorException,
                                                IntraHubBusinessConnectorException

  Gets the hC party consent.

  Parameters:
    `hcPartyId` - the hc party id
  Returns:
    the hC party consent
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### revokeHCPartyConsent

    void revokeHCPartyConsent(ConsentHCPartyType consent)
                              throws TechnicalConnectorException,
                                     IntraHubBusinessConnectorException

  Revoke hc party consent.

  Parameters:
    `consent` - the consent
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.